Bug 263967 - sysutils/desktop-installer enhancements for recent changes to DRM
Summary: sysutils/desktop-installer enhancements for recent changes to DRM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason W. Bacon
URL: https://github.com/outpaddling/deskto...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-14 08:16 UTC by Graham Perrin
Modified: 2022-05-18 11:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2022-05-14 08:16:14 UTC
Changes in drm ports 
<https://lists.freebsd.org/archives/freebsd-x11/2022-May/001421.html>

Farewell, drm-current-kmod and drm-devel-kmod – welcome, graphics/drm-54-kmod and graphics/drm-510-kmod; multiple ports and flavours for GPU firmware | The FreeBSD Forums
<https://forums.freebsd.org/threads/85011>

I assume that some of what's possible, given the changes, will be out of scope for desktop-installer. 

Maybe of most interest: 

* graphics/drm-510-kmod recommended for users of FreeBSD 13.1-RELEASE 
  (and greater) where graphics/drm-fbsd13-kmod (tracking Linux 5.4) 
  does not support the hardware

– and please note that ports such as graphics/drm-510-kmod 
  do not depend upon graphics/gpu-firmware-kmod

Thank you.
Comment 1 Graham Perrin 2022-05-14 16:18:11 UTC
(In reply to Graham Perrin from comment #0)

> – and please note that ports such as graphics/drm-510-kmod 
>   do not depend upon graphics/gpu-firmware-kmod

For example, <https://github.com/freebsd/freebsd-ports/commit/df783714c97a24716bef17cf9f95039beee5af6f> for graphics/drm-fbsd13-kmod no longer depending upon graphics/gpu-firmware-kmod

> … The dependency is still on the drm-kmod metaport so 
> pkg install drm-kmod will still bring the firmwares.
Comment 2 Jason W. Bacon freebsd_committer 2022-05-16 12:15:53 UTC
Thanks for the heads-up.  I'm not sure what to do with this beyond adding a suggestion to auto-gpu-setup to manually try one of the other drm-kmod ports if the default drm-kmod-fbsd* don't support the hardware.

Unfortunately, the fact that the port names contain hard-coded versions makes automating installation problematic.  E.g. if I script something to install drm-510-kmod, it will get broken as soon as the version changes.

This much may be worth doing, though.  If automating isn't practical, I like to at least point the user in the direction of possible solutions.
Comment 3 Jason W. Bacon freebsd_committer 2022-05-18 11:27:10 UTC
For now I've added an informational message to auto-gpu-setup.

At some point (hopefully in the next few months) I'll be investigating the possibility of a more automated GPU setup, using some contributed scripts.  We'll see where the DRM ports are at that point and whether alternatives can be incorporated.